Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236671 - terminate called after throwing an instance of 'std::bad_alloc'
Summary: terminate called after throwing an instance of 'std::bad_alloc'
Keywords:
Status: CLOSED DUPLICATE of bug 226942
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
: 236655 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 02:30 UTC by Jonathan Kamens
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.2.0-14.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-24 06:29:20 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2007-04-17 02:30:28 UTC
openoffice.org-base-2.2.0-14.5

Got this when I tried to run ooffice on an xls file:

terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc
/usr/lib/openoffice.org/program/soffice: line 222: 28952 Aborted               
 (core dumped) "$sd_prog/$sd_binary" "$@"

Stack trace is below.  It's semi-reproducible, i.e., if I keep running
the same command over and over, it happens sometimes.

Program terminated with signal 6, Aborted.
#0  0x00fec402 in __kernel_vsyscall ()
(gdb) bt full
#0  0x00fec402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x003faf10 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        pid = 5382132
        selftid = 28952
#2  0x003fc761 in *__GI_abort () at abort.c:88
        act = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {0 <repeats 22 times>, 4415348, 1, 3215089408, 4795764, 
      1, 4405236, 2, 5383591, 1, 5383520}}, sa_flags = 5383520, 
  sa_restorer = 0xbfa25f2c}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x009e1530 in __gnu_cxx::__verbose_terminate_handler ()
    at libstdc++-v3/libsupc++/vterminate.cc:97
        name = 0x9e9112 "St9bad_alloc"
        t = <value optimized out>
        terminating = true
#4  0x009df015 in __cxxabiv1::__terminate (
    handler=0x9e13e0 <__gnu_cxx::__verbose_terminate_handler()>)
    at libstdc++-v3/libsupc++/eh_terminate.cc:43
No locals.
#5  0x009df052 in std::terminate ()
    at libstdc++-v3/libsupc++/eh_terminate.cc:53
---Type <return> to continue, or q <return> to quit---
No locals.
#6  0x009df18a in __cxa_throw (obj=0x847fd10, tinfo=0xa0d3d4, 
    dest=0x9df4b0 <~bad_alloc>) at libstdc++-v3/libsupc++/eh_throw.cc:77
        header = <value optimized out>
#7  0x42938cb8 in rtl::OUString::OUString ()
    at /usr/src/debug/OOF680_m14/solver/680/unxlngi6.pro/inc/cppu/unotype.hxx:127
        FilterConfigCache::nIndDocumentService = -1
        FilterConfigCache::nIndFilterService = -1
        FilterConfigCache::nIndTemplateName = -1
        com::sun::star::uno::Sequence<rtl::OUString>::s_pType = (
    typelib_TypeDescriptionReference *) 0x0
        FilterConfigCache::bInitialized = 0 '\0'
        FilterConfigCache::nIndFileFormatVersion = -1
        FilterConfigCache::FilterConfigCacheEntry::InternalPixelFilterNameList =
0x431041a0
        FilterConfigCache::nIndUIName = -1
        FilterConfigCache::nIndUserData = -1
        com::sun::star::uno::Sequence<com::sun::star::uno::Any>::s_pType = (
    typelib_TypeDescriptionReference *) 0x0
        FilterConfigCache::FilterConfigCacheEntry::ExternalPixelFilterNameList =
0x43104220
        FilterConfigCache::InternalFilterListForSvxLight = 0x43104260
        FilterConfigCache::nIndFlags = -1
---Type <return> to continue, or q <return> to quit---
        FilterConfigCache::nIndType = -1
        FilterConfigCache::FilterConfigCacheEntry::InternalVectorFilterNameList
= 0x431041e0
#8  0x42075ccc in framework::FontMenuController::select (this=0x3cefc0, 
    rEvent=@0xb7fce0b8)
    at
/usr/src/debug/OOF680_m14/framework/source/uielement/fontmenucontroller.cxx:243
        aTargetURL = {Complete = {pData = 0xbfa26098}, Main = {
    pData = 0x42075ccc}, Protocol = {pData = 0xbfa26084}, User = {
    pData = 0x426a4543}, Password = {pData = 0xbfa26084}, Server = {
    pData = 0x42c3c9e8}, Port = 16, Path = {pData = 0xb}, Name = {
    pData = 0x333}, Arguments = {pData = 0x4302211c}, Mark = {
    pData = 0xbfa26098}}
        aArgs = {_pSequence = 0x0, static s_pType = 0x0}
        xPopupMenu = {<com::sun::star::uno::BaseReference> = {
    _pInterface = 0xc}, <No data fields>}
        xDispatch = {<com::sun::star::uno::BaseReference> = {
    _pInterface = 0x426b11ba}, <No data fields>}
        xServiceManager = {<com::sun::star::uno::BaseReference> = {
    _pInterface = 0x43030a94}, <No data fields>}
#9  0x42938be6 in __do_global_ctors_aux ()
   from /usr/lib/openoffice.org/program/libsoffice.so
        SYM_ADD_TO_RECENTLY_USED_FILE_LIST = {pData = 0xb7f89008}
        LIB_RECENT_FILE = {pData = 0xb7f8a008}
---Type <return> to continue, or q <return> to quit---
#10 0x41bcac8d in _init () from /usr/lib/openoffice.org/program/libsoffice.so
No symbol table info available.
#11 0x003c1273 in call_init (l=0xb7fce0b8, argc=2, argv=0xbfa26144, 
    env=0xbfa26150) at dl-init.c:70
        init_array = <value optimized out>
#12 0x003c1383 in _dl_init (main_map=0x3cf650, argc=2, argv=0xbfa26144, 
    env=0xbfa26150) at dl-init.c:134
        preinit_array = <value optimized out>
        preinit_array_size = <value optimized out>
        i = 72
#13 0x003b384f in _dl_start_user () at rtld.c:780
        _dl_rtld_libname2 = {name = 0x0, next = 0x0, dont_free = 0}
        audit_list = (struct audit_list *) 0x0
        any_debug = 0
        load_time = 881865255
        _dl_rtld_libname = {name = 0x8048134 "/lib/ld-linux.so.2", 
  next = 0x3cf590, dont_free = 0}
        version_info = 0
        relocate_time = 49817693
        preloadlist = 0x0
        tls_init_tp_called = true
        start_time = 352186775905350
        library_path = 0xbfa27b0f "/usr/lib/openoffice.org/program"
        _rtld_local_ro = {_dl_debug_mask = 0, _dl_pagesize = 4096, 
---Type <return> to continue, or q <return> to quit---
  _dl_osversion = 132628, _dl_platform = 0xbfa262bb "i686", 
  _dl_platformlen = 4, _dl_initial_searchlist = {r_list = 0xb7fa881c, 
    r_nlist = 72}, _dl_clktck = 100, _dl_verbose = 0, _dl_debug_fd = 2, 
  _dl_lazy = 1, _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_correct_cache_id = 3, _dl_pointer_guard = 1, _dl_hwcap = 3219911679, 
  _dl_hwcap_mask = 67108864, _dl_x86_cap_flags = {"fpu\000\000\000\000", 
    "vme\000\000\000\000", "de\000\000\000\000\000", "pse\000\000\000\000", 
    "tsc\000\000\000\000", "msr\000\000\000\000", "pae\000\000\000\000", 
    "mce\000\000\000\000", "cx8\000\000\000\000", "apic\000\000\000", 
    "10\000\000\000\000\000", "sep\000\000\000\000", "mtrr\000\000\000", 
    "pge\000\000\000\000", "mca\000\000\000\000", "cmov\000\000\000", 
    "pat\000\000\000\000", "pse36\000\000", "pn\000\000\000\000\000", 
    "clflush", "20\000\000\000\000\000", "dts\000\000\000\000", 
    "acpi\000\000\000", "mmx\000\000\000\000", "fxsr\000\000\000", 
    "sse\000\000\000\000", "sse2\000\000\000", "ss\000\000\000\000\000", 
    "ht\000\000\000\000\000", "tm\000\000\000\000\000", "ia64\000\000\000", 
    "pbe\000\000\000\000"}, _dl_x86_platforms = {"i386", "i486", "i586", 
    "i686"}, _dl_inhibit_rpath = 0x0, _dl_origin_path = 0x0, 
  _dl_use_load_bias = 4294967295, _dl_profile = 0x0, 
  _dl_profile_output = 0x3c9240 "/var/tmp", _dl_trace_prelink = 0x0, 
  _dl_trace_prelink_map = 0x0, _dl_init_all_dirs = 0xb7fce028, 
  _dl_hp_timing_overhead = 97, _dl_sysinfo = 16696320, 
  _dl_sysinfo_dso = 0xfec000, _dl_sysinfo_map = 0x3cf930, 
  _dl_debug_printf = 0x3c1f30 <_dl_debug_printf>, 
---Type <return> to continue, or q <return> to quit---
  _dl_catch_error = 0x3c0e40 <_dl_catch_error>, 
  _dl_signal_error = 0x3c0f40 <_dl_signal_error>, 
  _dl_mcount = 0x3c2860 <_dl_mcount>, 
  _dl_lookup_symbol_x = 0x3bc880 <_dl_lookup_symbol_x>, 
  _dl_check_caller = 0x3c4190 <_dl_check_caller>, 
  _dl_open = 0x3c43e0 <_dl_open>, _dl_close = 0x3c6420 <_dl_close>, 
  _dl_audit = 0x0, _dl_naudit = 0}
        _dl_skip_args = 0
        __pointer_chk_guard_local = 2692793579
        _rtld_global_ro = {_dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_osversion = 132628, _dl_platform = 0xbfa262bb "i686", 
  _dl_platformlen = 4, _dl_initial_searchlist = {r_list = 0xb7fa881c, 
    r_nlist = 72}, _dl_clktck = 100, _dl_verbose = 0, _dl_debug_fd = 2, 
  _dl_lazy = 1, _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_correct_cache_id = 3, _dl_pointer_guard = 1, _dl_hwcap = 3219911679, 
  _dl_hwcap_mask = 67108864, _dl_x86_cap_flags = {"fpu\000\000\000\000", 
    "vme\000\000\000\000", "de\000\000\000\000\000", "pse\000\000\000\000", 
    "tsc\000\000\000\000", "msr\000\000\000\000", "pae\000\000\000\000", 
    "mce\000\000\000\000", "cx8\000\000\000\000", "apic\000\000\000", 
    "10\000\000\000\000\000", "sep\000\000\000\000", "mtrr\000\000\000", 
    "pge\000\000\000\000", "mca\000\000\000\000", "cmov\000\000\000", 
    "pat\000\000\000\000", "pse36\000\000", "pn\000\000\000\000\000", 
    "clflush", "20\000\000\000\000\000", "dts\000\000\000\000", 
    "acpi\000\000\000", "mmx\000\000\000\000", "fxsr\000\000\000", 
---Type <return> to continue, or q <return> to quit---
    "sse\000\000\000\000", "sse2\000\000\000", "ss\000\000\000\000\000", 
    "ht\000\000\000\000\000", "tm\000\000\000\000\000", "ia64\000\000\000", 
    "pbe\000\000\000\000"}, _dl_x86_platforms = {"i386", "i486", "i586", 
    "i686"}, _dl_inhibit_rpath = 0x0, _dl_origin_path = 0x0, 
  _dl_use_load_bias = 4294967295, _dl_profile = 0x0, 
  _dl_profile_output = 0x3c9240 "/var/tmp", _dl_trace_prelink = 0x0, 
  _dl_trace_prelink_map = 0x0, _dl_init_all_dirs = 0xb7fce028, 
  _dl_hp_timing_overhead = 97, _dl_sysinfo = 16696320, 
  _dl_sysinfo_dso = 0xfec000, _dl_sysinfo_map = 0x3cf930, 
  _dl_debug_printf = 0x3c1f30 <_dl_debug_printf>, 
  _dl_catch_error = 0x3c0e40 <_dl_catch_error>, 
  _dl_signal_error = 0x3c0f40 <_dl_signal_error>, 
  _dl_mcount = 0x3c2860 <_dl_mcount>, 
  _dl_lookup_symbol_x = 0x3bc880 <_dl_lookup_symbol_x>, 
  _dl_check_caller = 0x3c4190 <_dl_check_caller>, 
  _dl_open = 0x3c43e0 <_dl_open>, _dl_close = 0x3c6420 <_dl_close>, 
  _dl_audit = 0x0, _dl_naudit = 0}
        _dl_argv = (char **) 0xbfa26144
        _rtld_local = {_dl_ns = {{_ns_loaded = 0x3cf650, _ns_nloaded = 73, 
      _ns_main_searchlist = 0x3cf7ac, _ns_global_scope_alloc = 0, _ns_debug = {
        r_version = 0, r_map = 0x0, r_brk = 0, r_state = RT_CONSISTENT, 
        r_ldbase = 0}}, {_ns_loaded = 0x0, _ns_nloaded = 0, 
      _ns_main_searchlist = 0x0, _ns_global_scope_alloc = 0, _ns_debug = {
        r_version = 0, r_map = 0x0, r_brk = 0, r_state = RT_CONSISTENT, 
---Type <return> to continue, or q <return> to quit---
        r_ldbase = 0}} <repeats 15 times>}, _dl_load_lock = {mutex = {
      __data = {__lock = 0, __count = 0, __owner = 0, __kind = 1, 
        __nusers = 0, {__spins = 0, __list = {__next = 0x0}}}, 
      __size = '\0' <repeats 12 times>,
"\001\000\000\000\000\000\000\000\000\000\000", __align = 0}}, _dl_load_adds =
73, _dl_initfirst = 0x0, 
  _dl_cpuclock_offset = 352186775939827, _dl_profile_map = 0x0, 
  _dl_num_relocations = 0, _dl_num_cache_relocations = 235, 
  _dl_all_dirs = 0xb7fce028, 
  _dl_error_catch_tsd = 0x4d8930 <__libc_dl_error_tsd>, _dl_rtld_map = {
    l_addr = 0, l_name = 0x8048134 "/lib/ld-linux.so.2", l_ld = 0x3ceef8, 
    l_next = 0xb7fae1e0, l_prev = 0xb7fafd20, l_real = 0x3cf280, l_ns = 0, 
    l_libname = 0x3cf5a4, l_info = {0x0, 0x0, 0x3cef38, 0x3cef30, 0x3cef00, 
      0x3cef10, 0x3cef18, 0x0, 0x0, 0x0, 0x3cef20, 0x3cef28, 0x0, 0x0, 
      0x3ceef8, 0x0, 0x0, 0x3cef50, 0x3cef58, 0x3cef60, 0x3cef40, 0x0, 0x0, 
      0x3cef48, 0x3cef78, 0x0 <repeats 11 times>, 0x3cef70, 0x3cef68, 
      0x3cef80, 0x3cef90, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x3cef88, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3cef98, 
      0x0, 0x0, 0x3cefa0, 0x0 <repeats 11 times>, 0x3cef08}, 
    l_phdr = 0x3b3034, l_entry = 0, l_phnum = 6, l_ldnum = 0, l_searchlist = {
      r_list = 0x0, r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_loader = 0x0, l_nbuckets = 17, 
    l_gnu_bitmask_idxbits = 7, l_gnu_shift = 8, l_gnu_bitmask = 0x3b31c4, {
      l_gnu_buckets = 0x3b31e4, l_chain = 0x3b31e4}, {
      l_gnu_chain_zero = 0x3b3224, l_buckets = 0x3b3224}, 
---Type <return> to continue, or q <return> to quit---
    l_direct_opencount = 0, l_type = lt_library, l_relocated = 1, 
    l_init_called = 1, l_global = 1, l_reserved = 0, l_phdr_allocated = 0, 
    l_soname_added = 0, l_faked = 0, l_need_tls_init = 0, l_used = 0, 
    l_auditing = 0, l_audit_any_plt = 0, l_removed = 0, l_nversions = 7, 
    l_versions = 0xb7fa6870, l_rpath_dirs = {dirs = 0x0, malloced = 0}, 
    l_reloc_result = 0x0, l_versyms = 0x3b35fc, l_origin = 0x0, 
    l_map_start = 3878912, l_map_end = 3995216, l_text_end = 3969574, 
    l_scope_mem = {0x0, 0x0, 0x0, 0x0}, l_scope_max = 0, l_scope = 0x0, 
    l_scope_lock = 0, l_local_scope = {0x0, 0x0}, l_dev = 0, l_ino = 0, 
    l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x0, type_class = 0, value = 0x0, ret = 0x0}, 
    l_tls_initimage = 0x0, l_tls_initimage_size = 0, l_tls_blocksize = 0, 
    l_tls_align = 0, l_tls_firstbyte_offset = 0, l_tls_offset = 0, 
    l_tls_modid = 0, l_relro_addr = 3992704, l_relro_size = 896, 
    l_audit = 0x3cf4d0}, audit_data = {{cookie = 0, 
      bindflags = 0} <repeats 16 times>}, 
  _dl_rtld_lock_recursive = 0x6991f0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x69a6e0 <__pthread_mutex_unlock>, 
  _dl_stack_flags = 6, 
  _dl_make_stack_executable_hook = 0x696dc0 <__make_stacks_executable>, 
  _dl_tls_max_dtv_idx = 3, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xb7fa5830, _dl_tls_static_nelem = 3, 
---Type <return> to continue, or q <return> to quit---
  _dl_tls_static_size = 2896, _dl_tls_static_used = 92, 
  _dl_tls_static_align = 16, _dl_initial_dtv = 0xb7fa4b58, 
  _dl_tls_generation = 1, 
  _dl_init_static_tls = 0x696b30 <__pthread_init_static_tls>}
        _rtld_global = {_dl_ns = {{_ns_loaded = 0x3cf650, _ns_nloaded = 73, 
      _ns_main_searchlist = 0x3cf7ac, _ns_global_scope_alloc = 0, _ns_debug = {
        r_version = 0, r_map = 0x0, r_brk = 0, r_state = RT_CONSISTENT, 
        r_ldbase = 0}}, {_ns_loaded = 0x0, _ns_nloaded = 0, 
      _ns_main_searchlist = 0x0, _ns_global_scope_alloc = 0, _ns_debug = {
        r_version = 0, r_map = 0x0, r_brk = 0, r_state = RT_CONSISTENT, 
        r_ldbase = 0}} <repeats 15 times>}, _dl_load_lock = {mutex = {
      __data = {__lock = 0, __count = 0, __owner = 0, __kind = 1, 
        __nusers = 0, {__spins = 0, __list = {__next = 0x0}}}, 
      __size = '\0' <repeats 12 times>,
"\001\000\000\000\000\000\000\000\000\000\000", __align = 0}}, _dl_load_adds =
73, _dl_initfirst = 0x0, 
  _dl_cpuclock_offset = 352186775939827, _dl_profile_map = 0x0, 
  _dl_num_relocations = 0, _dl_num_cache_relocations = 235, 
  _dl_all_dirs = 0xb7fce028, 
  _dl_error_catch_tsd = 0x4d8930 <__libc_dl_error_tsd>, _dl_rtld_map = {
    l_addr = 0, l_name = 0x8048134 "/lib/ld-linux.so.2", l_ld = 0x3ceef8, 
    l_next = 0xb7fae1e0, l_prev = 0xb7fafd20, l_real = 0x3cf280, l_ns = 0, 
    l_libname = 0x3cf5a4, l_info = {0x0, 0x0, 0x3cef38, 0x3cef30, 0x3cef00, 
      0x3cef10, 0x3cef18, 0x0, 0x0, 0x0, 0x3cef20, 0x3cef28, 0x0, 0x0, 
      0x3ceef8, 0x0, 0x0, 0x3cef50, 0x3cef58, 0x3cef60, 0x3cef40, 0x0, 0x0, 
---Type <return> to continue, or q <return> to quit---
      0x3cef48, 0x3cef78, 0x0 <repeats 11 times>, 0x3cef70, 0x3cef68, 
      0x3cef80, 0x3cef90, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x3cef88, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3cef98, 
      0x0, 0x0, 0x3cefa0, 0x0 <repeats 11 times>, 0x3cef08}, 
    l_phdr = 0x3b3034, l_entry = 0, l_phnum = 6, l_ldnum = 0, l_searchlist = {
      r_list = 0x0, r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_loader = 0x0, l_nbuckets = 17, 
    l_gnu_bitmask_idxbits = 7, l_gnu_shift = 8, l_gnu_bitmask = 0x3b31c4, {
      l_gnu_buckets = 0x3b31e4, l_chain = 0x3b31e4}, {
      l_gnu_chain_zero = 0x3b3224, l_buckets = 0x3b3224}, 
    l_direct_opencount = 0, l_type = lt_library, l_relocated = 1, 
    l_init_called = 1, l_global = 1, l_reserved = 0, l_phdr_allocated = 0, 
    l_soname_added = 0, l_faked = 0, l_need_tls_init = 0, l_used = 0, 
    l_auditing = 0, l_audit_any_plt = 0, l_removed = 0, l_nversions = 7, 
    l_versions = 0xb7fa6870, l_rpath_dirs = {dirs = 0x0, malloced = 0}, 
    l_reloc_result = 0x0, l_versyms = 0x3b35fc, l_origin = 0x0, 
    l_map_start = 3878912, l_map_end = 3995216, l_text_end = 3969574, 
    l_scope_mem = {0x0, 0x0, 0x0, 0x0}, l_scope_max = 0, l_scope = 0x0, 
    l_scope_lock = 0, l_local_scope = {0x0, 0x0}, l_dev = 0, l_ino = 0, 
    l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x0, type_class = 0, value = 0x0, ret = 0x0}, 
    l_tls_initimage = 0x0, l_tls_initimage_size = 0, l_tls_blocksize = 0, 
---Type <return> to continue, or q <return> to quit---
    l_tls_align = 0, l_tls_firstbyte_offset = 0, l_tls_offset = 0, 
    l_tls_modid = 0, l_relro_addr = 3992704, l_relro_size = 896, 
    l_audit = 0x3cf4d0}, audit_data = {{cookie = 0, 
      bindflags = 0} <repeats 16 times>}, 
  _dl_rtld_lock_recursive = 0x6991f0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x69a6e0 <__pthread_mutex_unlock>, 
  _dl_stack_flags = 6, 
  _dl_make_stack_executable_hook = 0x696dc0 <__make_stacks_executable>, 
  _dl_tls_max_dtv_idx = 3, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xb7fa5830, _dl_tls_static_nelem = 3, 
  _dl_tls_static_size = 2896, _dl_tls_static_used = 92, 
  _dl_tls_static_align = 16, _dl_initial_dtv = 0xb7fa4b58, 
  _dl_tls_generation = 1, 
  _dl_init_static_tls = 0x696b30 <__pthread_init_static_tls>}
        _dl_argc = 2
        _dl_argv_internal = (char **) 0xbfa26144
(gdb)

Comment 1 Caolan McNamara 2007-04-17 07:00:34 UTC
*** Bug 236655 has been marked as a duplicate of this bug. ***

Comment 2 Caolan McNamara 2007-04-17 07:25:06 UTC
I wonder why this is beginning to happen for users. Doesn't happen for me on
launching writer generically, or launching calc on a .xls.

Perhaps have a look in /var/log/prelink/prelink.log to see if there is any
errors for anything with "openoffice" in the name.

Comment 3 Jonathan Kamens 2007-04-17 12:31:20 UTC
I don't see any openoffice errors in prelink.log.

I hope you figure this out soon; openoffice.org-debuginfo and gcc-debuginfo are 
*huge*, so I'd like to get rid of them as soon as I can ;-).


Comment 4 Caolan McNamara 2007-04-17 13:38:43 UTC
It happens for me now, as you say it takes a few iterations.

This may be because of some global variables attempting to get initialized out
of sequence. Probably a side effect of combining some libraries together to try
and improve startup performance.

I can rollback that merge if necessary, but let's see if I can resolve this
without doing that first.

Comment 5 Caolan McNamara 2007-04-21 10:33:32 UTC
I'm hoping that this is resolved in 2.2.0-14.6, anyone still have the problem in
that version ?

Comment 6 Jonathan Kamens 2007-04-24 02:54:51 UTC
Still crashing for me intermittently, albeit with different symptoms.  Here's
what it says when it crashes:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//via_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-8-i386
(V)    kernel is: Linux 2.6.20-1.2943.fc6 #1 SMP Wed Apr 4 16:06:04 EDT 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.0-14.6-i386
(VII)    depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 6.93 (Rawhide)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1            152799040  79392740  65644500  55% /
/dev/hda1            152799040  79392740  65644500  55% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x02cb76cf: 0x001b6374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x206cf
0x02cb7fda: 0x001b6374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20fda
0x005a6420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x003fe98d: 0x0001aef8: /lib/ld-linux.so.2 + 0x998d
0x00402d58: 0x0001aef8: /lib/ld-linux.so.2 + 0xdd58
0x004084c0: 0x0001aef8: /lib/ld-linux.so.2 + 0x134c0
0x0082251f: 0x00007be4: /usr/lib/libSM.so.6 + 0x551f (_SmcProcessMessage + 0xe3f)
0x00812fbc: 0x000165c8: /usr/lib/libICE.so.6 + 0x11fbc (IceProcessMessages + 0x3cc)
0x00e91308: 0x000697b0: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4e308
0x02cafe59: 0x001b6374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x18e59
0x006d92db: 0x00013eb8: /lib/libpthread.so.0 + 0x52db
0x004e420e: 0x0014fd7c: /lib/libc.so.6 + 0xd020e (clone + 0x5e)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x001a6000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x00aaa000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00a13000)
	libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x00eb9000)
	libdl.so.2 => /lib/libdl.so.2 (0x00110000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00f45000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x004bf000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x002de000)
	libm.so.6 => /lib/libm.so.6 (0x00115000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0013e000)
	libc.so.6 => /lib/libc.so.6 (0x00580000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x0014a000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...


Comment 7 Caolan McNamara 2007-04-24 06:29:20 UTC
ah, the "_SmcProcessMessage" trace. I recognize that horror.

*** This bug has been marked as a duplicate of 226942 ***


Note You need to log in before you can comment on or make changes to this bug.